Subject: Re: bug#79079: 31.0.50; Piped command output is sometimes lost in Eshell

From: Paul Eggert <[email-masked]>
Date: Thu, 24 Jul 2025 09:32:57 -0700

On 2025-07-24 07:56, Eli Zaretskii wrote:
>> Not sure what you man by that, but I suspect it wouldn't handle the
>> scenario Jim describes, where the other process closes its end of the
>> pipe but keeps running. Emacs shouldn't assume that EPIPE means the
>> other process has died or has closed any pipes other than the one Emacs
>> got EPIPE on.
> I guess I'm confused: if the other process closed its end of the pipe,
> why do we care about the stuff we have in our buffers that wasn't yet
> piped to that other process?

I could well be the confused one, but the scenario I was concerned about 
is when we are running the process for some reason other than the fact 
that we are piping to it. For example, we have another pipe to the same 
process. In that case we shouldn't deactivate the entire process (i.e., 
turn off all output and input for it) merely because one of its pipes 
closed.